#!/usr/bin/perl -w
# 
# sb::Driver - Module for Serene Bach
# == written by T.Otani <ootani@segausers.gr.jp> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

package sb::Driver;

use strict;

# ==================================================
# // module version
# ==================================================
use vars qw( $VERSION @ISA );
$VERSION = '0.00';
# 0.00 [2005/02/02] generated

# ==================================================
# // configuration for inheritance / dependancy
# ==================================================
use sb::Language ();
# ==================================================
# // declaration for private variables
# ==================================================
my $pObject = undef; # ֥
# ==================================================
# // constructor
# ==================================================
sub get {
	my $class = join('::',@_);
	return($pObject) if ( defined($pObject) );
	eval("require $class;");
	die(sb::Language->get->string('error_unsuppoted') . '[file driver] ' . $@) if ($@);
	$pObject = $class->new();
	return($pObject);
}
sub new {
	&get; # 'new' is alias for 'get'
}
# ==================================================
# // destructor
# ==================================================
sub bye {
	my $class = shift;
	$pObject = undef;
}
sub DESTROY {
	my $self = shift;
	return();
}
# ==================================================
# // public functions
# ==================================================
sub load;
sub save;
sub new_id;
sub matched_number;
1; # end of package
